freemarker.core

## Class TemplateXMLOutputModel

- java.lang.Object
- - freemarker.core.CommonTemplateMarkupOutputModel<TemplateXMLOutputModel>
  - - freemarker.core.TemplateXMLOutputModel

All Implemented Interfaces:
  TemplateMarkupOutputModel<TemplateXMLOutputModel>, TemplateModel

    public final class TemplateXMLOutputModel
    extends CommonTemplateMarkupOutputModel<TemplateXMLOutputModel>

Stores XML markup to be printed; used with `XMLOutputFormat`.

Since:
  2.3.24

### Field Summary

### Fields inherited from interface freemarker.template.TemplateModel

`NOTHING`

### Method Summary

All Methods Instance Methods Concrete Methods
`XMLOutputFormat` `getOutputFormat()` Returns the singleton `OutputFormat` object that implements the operations for the "markup output" value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### getOutputFormat

    public XMLOutputFormat getOutputFormat()

Description copied from interface: `TemplateMarkupOutputModel`
Returns the singleton `OutputFormat` object that implements the operations for the "markup output" value.

Specified by:
  `getOutputFormat` in interface `TemplateMarkupOutputModel<TemplateXMLOutputModel>`
Specified by:
  `getOutputFormat` in class `CommonTemplateMarkupOutputModel<TemplateXMLOutputModel>`